<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.arrebol</groupId>
    <artifactId>ace-model</artifactId>
    <version>1.0.0</version>
    <packaging>jar</packaging>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>
    <dependencies>
        <!--
        Hibernate ORM enables developers to more easily write applications 
        whose data outlives the application process. 
        
        As an Object/Relational Mapping (ORM) framework, Hibernate is concerned 
        with data persistence as it applies to relational databases (via JDBC).
        -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-agroal</artifactId>
            <version>5.4.14.Final</version>
            <type>pom</type>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-c3p0</artifactId>
            <version>5.6.7.Final</version>
        </dependency>
        <dependency>
            <groupId>c3p0</groupId>
            <artifactId>c3p0</artifactId>
            <version>0.9.1.2</version>
        </dependency>
    </dependencies>
    <profiles>
        <profile>
            <id>AWS-EC2</id>
            <properties>
                <hibernate.connection.url>jdbc:mysql://localhost:3306/apo_pro_com_april_ten?serverTimezone=UTC</hibernate.connection.url>
                <hibernate.connection.username>root</hibernate.connection.username>
                <hibernate.connection.password>Saladeespera2_</hibernate.connection.password>
                <hibernate.connection.min_size>10</hibernate.connection.min_size>
                <hibernate.connection.max_size>40</hibernate.connection.max_size>
                <hibernate.connection.timeout>1800</hibernate.connection.timeout>
                <hibernate.connection.max_statements>300</hibernate.connection.max_statements>
            </properties>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <filtering>true</filtering>
                    </resource>
                </resources>
            </build>
        </profile>
        <profile>
            <id>Localhost</id>
            <properties>
                <hibernate.connection.url>jdbc:mysql://localhost:3306/apo_pro_com_april_ten?serverTimezone=GMT-5</hibernate.connection.url>
                <hibernate.connection.username>apoprocomlocalhost</hibernate.connection.username>
                <hibernate.connection.password>Yj$2Da0z!</hibernate.connection.password>
                <hibernate.connection.min_size>10</hibernate.connection.min_size>
                <hibernate.connection.max_size>40</hibernate.connection.max_size>
                <hibernate.connection.timeout>1800</hibernate.connection.timeout>
                <hibernate.connection.max_statements>300</hibernate.connection.max_statements>
            </properties>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <filtering>true</filtering>
                    </resource>
                </resources>
            </build>
        </profile>
        <profile>
            <id>Localhost-Mobile-APP</id>
            <properties>
                <hibernate.connection.url>jdbc:mysql://localhost:3306/apo_pro_com_april_ten?serverTimezone=GMT-5</hibernate.connection.url>
                <hibernate.connection.username>apoprocommobilelocalhost</hibernate.connection.username>
                <hibernate.connection.password>0Ps$6%q8</hibernate.connection.password>
                <hibernate.connection.min_size>10</hibernate.connection.min_size>
                <hibernate.connection.max_size>40</hibernate.connection.max_size>
                <hibernate.connection.timeout>1800</hibernate.connection.timeout>
                <hibernate.connection.max_statements>300</hibernate.connection.max_statements>
            </properties>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <filtering>true</filtering>
                    </resource>
                </resources>
            </build>
        </profile>
        <profile>
            <id>Amazon-Web-Services</id>
            <properties>
                <hibernate.connection.url>jdbc:mysql://3.143.107.236:3306/apo_pro_com_april_ten?serverTimezone=GMT-6</hibernate.connection.url>
                <hibernate.connection.username>ace_remoto</hibernate.connection.username>
                <hibernate.connection.password>Saladeespera2_</hibernate.connection.password>
                <hibernate.connection.min_size>10</hibernate.connection.min_size>
                <hibernate.connection.max_size>20</hibernate.connection.max_size>
                <hibernate.connection.timeout>1800</hibernate.connection.timeout>
                <hibernate.connection.max_statements>300</hibernate.connection.max_statements>
                <hibernate.connection.noAccessToProcedureBodies>true</hibernate.connection.noAccessToProcedureBodies>
                <hibernate.connection.useSSL>false</hibernate.connection.useSSL>
            </properties>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <filtering>true</filtering>
                    </resource>
                </resources>
            </build>
        </profile>
        <profile>
            <id>Amazon-Web-Services-Test</id>
            <properties>
                <hibernate.connection.url>jdbc:mysql://apc.clwlkknfqkjh.us-east-2.rds.amazonaws.com:3306/apo_pro_com_april_ten?serverTimezone=GMT-6</hibernate.connection.url>
                <hibernate.connection.username>apoprocom</hibernate.connection.username>
                <hibernate.connection.password>Yj$2Da0z!</hibernate.connection.password>
                <hibernate.connection.min_size>10</hibernate.connection.min_size>
                <hibernate.connection.max_size>20</hibernate.connection.max_size>
                <hibernate.connection.timeout>1800</hibernate.connection.timeout>
                <hibernate.connection.max_statements>300</hibernate.connection.max_statements>
            </properties>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <filtering>true</filtering>
                    </resource>
                </resources>
            </build>
        </profile>
        <profile>
            <id>Amazon-Web-Services-Mobile-APP</id>
            <properties>
                <hibernate.connection.url>jdbc:mysql://ace.civi8tosgaol.us-east-2.rds.amazonaws.com:3306/apo_pro_com_april_ten</hibernate.connection.url>
                <hibernate.connection.username>apoprocommobile</hibernate.connection.username>
                <hibernate.connection.password>0Ps$6%q8</hibernate.connection.password>
                <hibernate.connection.min_size>10</hibernate.connection.min_size>
                <hibernate.connection.max_size>30</hibernate.connection.max_size>
                <hibernate.connection.timeout>2000</hibernate.connection.timeout>
                <hibernate.connection.max_statements>1000</hibernate.connection.max_statements>
            </properties>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <filtering>true</filtering>
                    </resource>
                </resources>
            </build>
        </profile>
        <profile>
            <id>Amazon-Web-Services-Mobile-APP-Test</id>
            <properties>
                <hibernate.connection.url>jdbc:mysql://apc.clwlkknfqkjh.us-east-2.rds.amazonaws.com:3306/apo_pro_com_april_ten?serverTimezone=GMT-6</hibernate.connection.url>
                <hibernate.connection.username>apoprocommobile</hibernate.connection.username>
                <hibernate.connection.password>0Ps$6%q8</hibernate.connection.password>
                <hibernate.connection.min_size>10</hibernate.connection.min_size>
                <hibernate.connection.max_size>30</hibernate.connection.max_size>
                <hibernate.connection.timeout>2000</hibernate.connection.timeout>
                <hibernate.connection.max_statements>1000</hibernate.connection.max_statements>
            </properties>
            <build>
                <resources>
                    <resource>
                        <directory>src/main/resources</directory>
                        <filtering>true</filtering>
                    </resource>
                </resources>
            </build>
        </profile>
    </profiles>
    <name>ace-model</name>
</project>